# Enum Class VulkanBlendOp

java.lang.Object
java.lang.Enum<VulkanBlendOp>
com.io7m.jcoronado.api.VulkanBlendOp

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanBlendOp>`, `Constable`

public enum VulkanBlendOp extends Enum<VulkanBlendOp> implements VulkanEnumIntegerType

See Also:
  - "VkBlendOp"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_BLEND_OP_ADD`
  VK_BLEND_OP_ADD
  `VK_BLEND_OP_BLUE_EXT`
  VK_BLEND_OP_BLUE_EXT
  `VK_BLEND_OP_COLORBURN_EXT`
  VK_BLEND_OP_COLORBURN_EXT
  `VK_BLEND_OP_COLORDODGE_EXT`
  VK_BLEND_OP_COLORDODGE_EXT
  `VK_BLEND_OP_CONTRAST_EXT`
  VK_BLEND_OP_CONTRAST_EXT
  `VK_BLEND_OP_DARKEN_EXT`
  VK_BLEND_OP_DARKEN_EXT
  `VK_BLEND_OP_DIFFERENCE_EXT`
  VK_BLEND_OP_DIFFERENCE_EXT
  `VK_BLEND_OP_DST_ATOP_EXT`
  VK_BLEND_OP_DST_ATOP_EXT
  `VK_BLEND_OP_DST_EXT`
  VK_BLEND_OP_DST_EXT
  `VK_BLEND_OP_DST_IN_EXT`
  VK_BLEND_OP_DST_IN_EXT
  `VK_BLEND_OP_DST_OUT_EXT`
  VK_BLEND_OP_DST_OUT_EXT
  `VK_BLEND_OP_DST_OVER_EXT`
  VK_BLEND_OP_DST_OVER_EXT
  `VK_BLEND_OP_EXCLUSION_EXT`
  VK_BLEND_OP_EXCLUSION_EXT
  `VK_BLEND_OP_GREEN_EXT`
  VK_BLEND_OP_GREEN_EXT
  `VK_BLEND_OP_HARDLIGHT_EXT`
  VK_BLEND_OP_HARDLIGHT_EXT
  `VK_BLEND_OP_HARDMIX_EXT`
  VK_BLEND_OP_HARDMIX_EXT
  `VK_BLEND_OP_HSL_COLOR_EXT`
  VK_BLEND_OP_HSL_COLOR_EXT
  `VK_BLEND_OP_HSL_HUE_EXT`
  VK_BLEND_OP_HSL_HUE_EXT
  `VK_BLEND_OP_HSL_LUMINOSITY_EXT`
  VK_BLEND_OP_HSL_LUMINOSITY_EXT
  `VK_BLEND_OP_HSL_SATURATION_EXT`
  VK_BLEND_OP_HSL_SATURATION_EXT
  `VK_BLEND_OP_INVERT_EXT`
  VK_BLEND_OP_INVERT_EXT
  `VK_BLEND_OP_INVERT_OVG_EXT`
  VK_BLEND_OP_INVERT_OVG_EXT
  `VK_BLEND_OP_INVERT_RGB_EXT`
  VK_BLEND_OP_INVERT_RGB_EXT
  `VK_BLEND_OP_LIGHTEN_EXT`
  VK_BLEND_OP_LIGHTEN_EXT
  `VK_BLEND_OP_LINEARBURN_EXT`
  VK_BLEND_OP_LINEARBURN_EXT
  `VK_BLEND_OP_LINEARDODGE_EXT`
  VK_BLEND_OP_LINEARDODGE_EXT
  `VK_BLEND_OP_LINEARLIGHT_EXT`
  VK_BLEND_OP_LINEARLIGHT_EXT
  `VK_BLEND_OP_MAX`
  VK_BLEND_OP_MAX
  `VK_BLEND_OP_MIN`
  VK_BLEND_OP_MIN
  `VK_BLEND_OP_MINUS_CLAMPED_EXT`
  VK_BLEND_OP_MINUS_CLAMPED_EXT
  `VK_BLEND_OP_MINUS_EXT`
  VK_BLEND_OP_MINUS_EXT
  `VK_BLEND_OP_MULTIPLY_EXT`
  VK_BLEND_OP_MULTIPLY_EXT
  `VK_BLEND_OP_OVERLAY_EXT`
  VK_BLEND_OP_OVERLAY_EXT
  `VK_BLEND_OP_PINLIGHT_EXT`
  VK_BLEND_OP_PINLIGHT_EXT
  `VK_BLEND_OP_PLUS_CLAMPED_ALPHA_EXT`
  VK_BLEND_OP_PLUS_CLAMPED_ALPHA_EXT
  `VK_BLEND_OP_PLUS_CLAMPED_EXT`
  VK_BLEND_OP_PLUS_CLAMPED_EXT
  `VK_BLEND_OP_PLUS_DARKER_EXT`
  VK_BLEND_OP_PLUS_DARKER_EXT
  `VK_BLEND_OP_PLUS_EXT`
  VK_BLEND_OP_PLUS_EXT
  `VK_BLEND_OP_RED_EXT`
  VK_BLEND_OP_RED_EXT
  `VK_BLEND_OP_REVERSE_SUBTRACT`
  VK_BLEND_OP_REVERSE_SUBTRACT
  `VK_BLEND_OP_SCREEN_EXT`
  VK_BLEND_OP_SCREEN_EXT
  `VK_BLEND_OP_SOFTLIGHT_EXT`
  VK_BLEND_OP_SOFTLIGHT_EXT
  `VK_BLEND_OP_SRC_ATOP_EXT`
  VK_BLEND_OP_SRC_ATOP_EXT
  `VK_BLEND_OP_SRC_EXT`
  VK_BLEND_OP_SRC_EXT
  `VK_BLEND_OP_SRC_IN_EXT`
  VK_BLEND_OP_SRC_IN_EXT
  `VK_BLEND_OP_SRC_OUT_EXT`
  VK_BLEND_OP_SRC_OUT_EXT
  `VK_BLEND_OP_SRC_OVER_EXT`
  VK_BLEND_OP_SRC_OVER_EXT
  `VK_BLEND_OP_SUBTRACT`
  VK_BLEND_OP_SUBTRACT
  `VK_BLEND_OP_VIVIDLIGHT_EXT`
  VK_BLEND_OP_VIVIDLIGHT_EXT
  `VK_BLEND_OP_XOR_EXT`
  VK_BLEND_OP_XOR_EXT
  `VK_BLEND_OP_ZERO_EXT`
  VK_BLEND_OP_ZERO_EXT

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanBlendOp`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanBlendOp[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_BLEND_OP_ADD

    public static final VulkanBlendOp VK_BLEND_OP_ADD
    VK_BLEND_OP_ADD

  - ### VK_BLEND_OP_SUBTRACT

    public static final VulkanBlendOp VK_BLEND_OP_SUBTRACT
    VK_BLEND_OP_SUBTRACT

  - ### VK_BLEND_OP_REVERSE_SUBTRACT

    public static final VulkanBlendOp VK_BLEND_OP_REVERSE_SUBTRACT
    VK_BLEND_OP_REVERSE_SUBTRACT

  - ### VK_BLEND_OP_MIN

    public static final VulkanBlendOp VK_BLEND_OP_MIN
    VK_BLEND_OP_MIN

  - ### VK_BLEND_OP_MAX

    public static final VulkanBlendOp VK_BLEND_OP_MAX
    VK_BLEND_OP_MAX

  - ### VK_BLEND_OP_ZERO_EXT

    public static final VulkanBlendOp VK_BLEND_OP_ZERO_EXT
    VK_BLEND_OP_ZERO_EXT

  - ### VK_BLEND_OP_SRC_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SRC_EXT
    VK_BLEND_OP_SRC_EXT

  - ### VK_BLEND_OP_DST_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DST_EXT
    VK_BLEND_OP_DST_EXT

  - ### VK_BLEND_OP_SRC_OVER_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SRC_OVER_EXT
    VK_BLEND_OP_SRC_OVER_EXT

  - ### VK_BLEND_OP_DST_OVER_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DST_OVER_EXT
    VK_BLEND_OP_DST_OVER_EXT

  - ### VK_BLEND_OP_SRC_IN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SRC_IN_EXT
    VK_BLEND_OP_SRC_IN_EXT

  - ### VK_BLEND_OP_DST_IN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DST_IN_EXT
    VK_BLEND_OP_DST_IN_EXT

  - ### VK_BLEND_OP_SRC_OUT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SRC_OUT_EXT
    VK_BLEND_OP_SRC_OUT_EXT

  - ### VK_BLEND_OP_DST_OUT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DST_OUT_EXT
    VK_BLEND_OP_DST_OUT_EXT

  - ### VK_BLEND_OP_SRC_ATOP_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SRC_ATOP_EXT
    VK_BLEND_OP_SRC_ATOP_EXT

  - ### VK_BLEND_OP_DST_ATOP_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DST_ATOP_EXT
    VK_BLEND_OP_DST_ATOP_EXT

  - ### VK_BLEND_OP_XOR_EXT

    public static final VulkanBlendOp VK_BLEND_OP_XOR_EXT
    VK_BLEND_OP_XOR_EXT

  - ### VK_BLEND_OP_MULTIPLY_EXT

    public static final VulkanBlendOp VK_BLEND_OP_MULTIPLY_EXT
    VK_BLEND_OP_MULTIPLY_EXT

  - ### VK_BLEND_OP_SCREEN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SCREEN_EXT
    VK_BLEND_OP_SCREEN_EXT

  - ### VK_BLEND_OP_OVERLAY_EXT

    public static final VulkanBlendOp VK_BLEND_OP_OVERLAY_EXT
    VK_BLEND_OP_OVERLAY_EXT

  - ### VK_BLEND_OP_DARKEN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DARKEN_EXT
    VK_BLEND_OP_DARKEN_EXT

  - ### VK_BLEND_OP_LIGHTEN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_LIGHTEN_EXT
    VK_BLEND_OP_LIGHTEN_EXT

  - ### VK_BLEND_OP_COLORDODGE_EXT

    public static final VulkanBlendOp VK_BLEND_OP_COLORDODGE_EXT
    VK_BLEND_OP_COLORDODGE_EXT

  - ### VK_BLEND_OP_COLORBURN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_COLORBURN_EXT
    VK_BLEND_OP_COLORBURN_EXT

  - ### VK_BLEND_OP_HARDLIGHT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_HARDLIGHT_EXT
    VK_BLEND_OP_HARDLIGHT_EXT

  - ### VK_BLEND_OP_SOFTLIGHT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_SOFTLIGHT_EXT
    VK_BLEND_OP_SOFTLIGHT_EXT

  - ### VK_BLEND_OP_DIFFERENCE_EXT

    public static final VulkanBlendOp VK_BLEND_OP_DIFFERENCE_EXT
    VK_BLEND_OP_DIFFERENCE_EXT

  - ### VK_BLEND_OP_EXCLUSION_EXT

    public static final VulkanBlendOp VK_BLEND_OP_EXCLUSION_EXT
    VK_BLEND_OP_EXCLUSION_EXT

  - ### VK_BLEND_OP_INVERT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_INVERT_EXT
    VK_BLEND_OP_INVERT_EXT

  - ### VK_BLEND_OP_INVERT_RGB_EXT

    public static final VulkanBlendOp VK_BLEND_OP_INVERT_RGB_EXT
    VK_BLEND_OP_INVERT_RGB_EXT

  - ### VK_BLEND_OP_LINEARDODGE_EXT

    public static final VulkanBlendOp VK_BLEND_OP_LINEARDODGE_EXT
    VK_BLEND_OP_LINEARDODGE_EXT

  - ### VK_BLEND_OP_LINEARBURN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_LINEARBURN_EXT
    VK_BLEND_OP_LINEARBURN_EXT

  - ### VK_BLEND_OP_VIVIDLIGHT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_VIVIDLIGHT_EXT
    VK_BLEND_OP_VIVIDLIGHT_EXT

  - ### VK_BLEND_OP_LINEARLIGHT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_LINEARLIGHT_EXT
    VK_BLEND_OP_LINEARLIGHT_EXT

  - ### VK_BLEND_OP_PINLIGHT_EXT

    public static final VulkanBlendOp VK_BLEND_OP_PINLIGHT_EXT
    VK_BLEND_OP_PINLIGHT_EXT

  - ### VK_BLEND_OP_HARDMIX_EXT

    public static final VulkanBlendOp VK_BLEND_OP_HARDMIX_EXT
    VK_BLEND_OP_HARDMIX_EXT

  - ### VK_BLEND_OP_HSL_HUE_EXT

    public static final VulkanBlendOp VK_BLEND_OP_HSL_HUE_EXT
    VK_BLEND_OP_HSL_HUE_EXT

  - ### VK_BLEND_OP_HSL_SATURATION_EXT

    public static final VulkanBlendOp VK_BLEND_OP_HSL_SATURATION_EXT
    VK_BLEND_OP_HSL_SATURATION_EXT

  - ### VK_BLEND_OP_HSL_COLOR_EXT

    public static final VulkanBlendOp VK_BLEND_OP_HSL_COLOR_EXT
    VK_BLEND_OP_HSL_COLOR_EXT

  - ### VK_BLEND_OP_HSL_LUMINOSITY_EXT

    public static final VulkanBlendOp VK_BLEND_OP_HSL_LUMINOSITY_EXT
    VK_BLEND_OP_HSL_LUMINOSITY_EXT

  - ### VK_BLEND_OP_PLUS_EXT

    public static final VulkanBlendOp VK_BLEND_OP_PLUS_EXT
    VK_BLEND_OP_PLUS_EXT

  - ### VK_BLEND_OP_PLUS_CLAMPED_EXT

    public static final VulkanBlendOp VK_BLEND_OP_PLUS_CLAMPED_EXT
    VK_BLEND_OP_PLUS_CLAMPED_EXT

  - ### VK_BLEND_OP_PLUS_CLAMPED_ALPHA_EXT

    public static final VulkanBlendOp VK_BLEND_OP_PLUS_CLAMPED_ALPHA_EXT
    VK_BLEND_OP_PLUS_CLAMPED_ALPHA_EXT

  - ### VK_BLEND_OP_PLUS_DARKER_EXT

    public static final VulkanBlendOp VK_BLEND_OP_PLUS_DARKER_EXT
    VK_BLEND_OP_PLUS_DARKER_EXT

  - ### VK_BLEND_OP_MINUS_EXT

    public static final VulkanBlendOp VK_BLEND_OP_MINUS_EXT
    VK_BLEND_OP_MINUS_EXT

  - ### VK_BLEND_OP_MINUS_CLAMPED_EXT

    public static final VulkanBlendOp VK_BLEND_OP_MINUS_CLAMPED_EXT
    VK_BLEND_OP_MINUS_CLAMPED_EXT

  - ### VK_BLEND_OP_CONTRAST_EXT

    public static final VulkanBlendOp VK_BLEND_OP_CONTRAST_EXT
    VK_BLEND_OP_CONTRAST_EXT

  - ### VK_BLEND_OP_INVERT_OVG_EXT

    public static final VulkanBlendOp VK_BLEND_OP_INVERT_OVG_EXT
    VK_BLEND_OP_INVERT_OVG_EXT

  - ### VK_BLEND_OP_RED_EXT

    public static final VulkanBlendOp VK_BLEND_OP_RED_EXT
    VK_BLEND_OP_RED_EXT

  - ### VK_BLEND_OP_GREEN_EXT

    public static final VulkanBlendOp VK_BLEND_OP_GREEN_EXT
    VK_BLEND_OP_GREEN_EXT

  - ### VK_BLEND_OP_BLUE_EXT

    public static final VulkanBlendOp VK_BLEND_OP_BLUE_EXT
    VK_BLEND_OP_BLUE_EXT

- ## Method Details

  - ### values

    public static VulkanBlendOp[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanBlendOp valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant